ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package variant
  Definition Classes
    ds
- ADAMVCFOutputFormat
- DatasetBoundGenotypeDataset
- DatasetBoundVariantContextDataset
- DatasetBoundVariantDataset
- GenotypeDataset
- ParquetUnboundGenotypeDataset
- ParquetUnboundVariantDataset
- RDDBoundGenotypeDataset
- RDDBoundVariantContextDataset
- RDDBoundVariantDataset
- VCFInFormatter
- VCFOutFormatter
- VariantContextDataset
- VariantDataset

c

org.bdgenomics.adam.ds.variant

# ADAMVCFOutputFormat 

###

#### class ADAMVCFOutputFormat[K] extends KeyIgnoringVCFOutputFormat[K] with Serializable

Wrapper for Hadoop-BAM to work around requirement for no-args constructor.

K

  The key type. Keys are not written.

Linear Supertypes
Serializable, Serializable, KeyIgnoringVCFOutputFormat[K], VCFOutputFormat[K], FileOutputFormat[K, VariantContextWritable], OutputFormat[K, VariantContextWritable], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMVCFOutputFormat
2. Serializable
3. Serializable
4. KeyIgnoringVCFOutputFormat
5. VCFOutputFormat
6. FileOutputFormat
7. OutputFormat
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ADAMVCFOutputFormat()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def checkOutputSpecs(arg0: JobContext): Unit
   Definition Classes
     FileOutputFormat → OutputFormat
   Annotations
     @throws( ... ) @throws( classOf[java.io.IOException] )
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def getDefaultWorkFile(arg0: TaskAttemptContext, arg1: String): Path
    Definition Classes
      FileOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
11.  def getHeader(): VCFHeader
    Definition Classes
      KeyIgnoringVCFOutputFormat
12.  def getOutputCommitter(arg0: TaskAttemptContext): OutputCommitter
    Definition Classes
      FileOutputFormat → OutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
13.  def getRecordWriter(context: TaskAttemptContext): RecordWriter[K, VariantContextWritable]
    Definition Classes
      ADAMVCFOutputFormat → KeyIgnoringVCFOutputFormat → FileOutputFormat → OutputFormat
14.  def getRecordWriter(arg0: TaskAttemptContext, arg1: OutputStream): RecordWriter[K, VariantContextWritable]
    Definition Classes
      KeyIgnoringVCFOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
15.  def getRecordWriter(arg0: TaskAttemptContext, arg1: Path): RecordWriter[K, VariantContextWritable]
    Definition Classes
      KeyIgnoringVCFOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  def readHeaderFrom(arg0: SeekableStream): Unit
    Definition Classes
      KeyIgnoringVCFOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
22.  def readHeaderFrom(arg0: Path, arg1: FileSystem): Unit
    Definition Classes
      KeyIgnoringVCFOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
23.  def setHeader(arg0: VCFHeader): Unit
    Definition Classes
      KeyIgnoringVCFOutputFormat
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from KeyIgnoringVCFOutputFormat[K]

### Inherited from VCFOutputFormat[K]

### Inherited from FileOutputFormat[K, VariantContextWritable]

### Inherited from OutputFormat[K, VariantContextWritable]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped